#

Standard Generic Function CLASS-NAME

Syntax:

class-name class => name

Method Signatures:

class-name (class class)

Arguments and Values:

class---a class object.

name---a symbol.

Description:

Returns the name of the given class.

Examples: None.

Affected By: None.

Exceptional Situations: None.

See Also:

find-class, Section 4.3 (Classes)

Notes:

If S is a symbol such that S =`(class-name C)` and C =`(find-class S)`, then S is the proper name of C. For further discussion, see Section 4.3 (Classes).

The name of an anonymous class is nil.

Copyright 1996-2005, LispWorks Ltd. All rights reserved.